package DatePicker.familieportalen.dk;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class kalenderactivity extends Activity implements B4AActivity{
	static kalenderactivity mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "DatePicker.familieportalen.dk", "kalenderactivity");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (kalenderactivity).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "DatePicker.familieportalen.dk", "kalenderactivity");
        processBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        anywheresoftware.b4a.keywords.Common.Log("** Activity (kalenderactivity) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (kalenderactivity) Resume **");
        processBA.raiseEvent(null, "activity_resume");

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return kalenderactivity.class;
	}
    private Boolean onKeySubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (kalenderactivity) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (kalenderactivity) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static long _timevalue = 0L;
public static long _firstdayofmonth = 0L;
public static long _lastdayofmonth = 0L;
public static String[] _day = null;
public static String[] _month = null;
public static long _dayselected = 0L;
public static int _firstdayofweek = 0;
public anywheresoftware.b4a.objects.PanelWrapper _panel1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label4 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label5 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label6 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label7 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label8 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label9 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label10 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _nextmonth = null;
public anywheresoftware.b4a.objects.ButtonWrapper _prevmonth = null;
public anywheresoftware.b4a.objects.ButtonWrapper _cancel = null;
public anywheresoftware.b4a.objects.ButtonWrapper _currentmonth = null;
public main _main = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
anywheresoftware.b4a.keywords.LayoutValues _lv = null;
int _i = 0;
 BA.debugLineNum = 42;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 BA.debugLineNum = 43;BA.debugLine="Dim lv As LayoutValues";
_lv = new anywheresoftware.b4a.keywords.LayoutValues();
 BA.debugLineNum = 44;BA.debugLine="lv = GetDeviceLayoutValues";
_lv = anywheresoftware.b4a.keywords.Common.GetDeviceLayoutValues(mostCurrent.activityBA);
 BA.debugLineNum = 45;BA.debugLine="Dim i As Int";
_i = 0;
 BA.debugLineNum = 50;BA.debugLine="FirstDayOfWeek = 1";
_firstdayofweek = (int)(1);
 BA.debugLineNum = 52;BA.debugLine="If FirstTime Then";
if (_firsttime) { 
 BA.debugLineNum = 54;BA.debugLine="Day(0) = \"su\"";
_day[(int)(0)] = "su";
 BA.debugLineNum = 55;BA.debugLine="Day(1) = \"mo\"";
_day[(int)(1)] = "mo";
 BA.debugLineNum = 56;BA.debugLine="Day(2) = \"tu\"";
_day[(int)(2)] = "tu";
 BA.debugLineNum = 57;BA.debugLine="Day(3) = \"we\"";
_day[(int)(3)] = "we";
 BA.debugLineNum = 58;BA.debugLine="Day(4) = \"th\"";
_day[(int)(4)] = "th";
 BA.debugLineNum = 59;BA.debugLine="Day(5) = \"fr\"";
_day[(int)(5)] = "fr";
 BA.debugLineNum = 60;BA.debugLine="Day(6) = \"sa\"";
_day[(int)(6)] = "sa";
 BA.debugLineNum = 61;BA.debugLine="Month(0) = \"January\"";
_month[(int)(0)] = "January";
 BA.debugLineNum = 62;BA.debugLine="Month(1) = \"February\"";
_month[(int)(1)] = "February";
 BA.debugLineNum = 63;BA.debugLine="Month(2) = \"March\"";
_month[(int)(2)] = "March";
 BA.debugLineNum = 64;BA.debugLine="Month(3) = \"April\"";
_month[(int)(3)] = "April";
 BA.debugLineNum = 65;BA.debugLine="Month(4) = \"May\"";
_month[(int)(4)] = "May";
 BA.debugLineNum = 66;BA.debugLine="Month(5) = \"June\"";
_month[(int)(5)] = "June";
 BA.debugLineNum = 67;BA.debugLine="Month(6) = \"July\"";
_month[(int)(6)] = "July";
 BA.debugLineNum = 68;BA.debugLine="Month(7) = \"August\"";
_month[(int)(7)] = "August";
 BA.debugLineNum = 69;BA.debugLine="Month(8) = \"September\"";
_month[(int)(8)] = "September";
 BA.debugLineNum = 70;BA.debugLine="Month(9) = \"October\"";
_month[(int)(9)] = "October";
 BA.debugLineNum = 71;BA.debugLine="Month(10) = \"November\"";
_month[(int)(10)] = "November";
 BA.debugLineNum = 72;BA.debugLine="Month(11) = \"December\"";
_month[(int)(11)] = "December";
 };
 BA.debugLineNum = 74;BA.debugLine="DaySelected = 0";
_dayselected = (long)(0);
 BA.debugLineNum = 75;BA.debugLine="TimeValue = DateTime.Now";
_timevalue = anywheresoftware.b4a.keywords.Common.DateTime.getNow();
 BA.debugLineNum = 76;BA.debugLine="Activity.LoadLayout(\"Kalender\")";
mostCurrent._activity.LoadLayout("Kalender",mostCurrent.activityBA);
 BA.debugLineNum = 77;BA.debugLine="Activity.Title = \"Select Day\"";
mostCurrent._activity.setTitle((Object)("Select Day"));
 BA.debugLineNum = 78;BA.debugLine="Panel1.Height = 340 * lv.Scale";
mostCurrent._panel1.setHeight((int)(340*_lv.Scale));
 BA.debugLineNum = 79;BA.debugLine="Panel1.Left = (100%x - Panel1.Width) / 2";
mostCurrent._panel1.setLeft((int)((anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA)-mostCurrent._panel1.getWidth())/(double)2));
 BA.debugLineNum = 80;BA.debugLine="If FirstDayOfWeek = 1 Then";
if (_firstdayofweek==(int)(1)) { 
 BA.debugLineNum = 81;BA.debugLine="Label4.Text = Day(1)";
mostCurrent._label4.setText((Object)(_day[(int)(1)]));
 BA.debugLineNum = 82;BA.debugLine="Label5.Text = Day(2)";
mostCurrent._label5.setText((Object)(_day[(int)(2)]));
 BA.debugLineNum = 83;BA.debugLine="Label6.Text = Day(3)";
mostCurrent._label6.setText((Object)(_day[(int)(3)]));
 BA.debugLineNum = 84;BA.debugLine="Label7.Text = Day(4)";
mostCurrent._label7.setText((Object)(_day[(int)(4)]));
 BA.debugLineNum = 85;BA.debugLine="Label8.Text = Day(5)";
mostCurrent._label8.setText((Object)(_day[(int)(5)]));
 BA.debugLineNum = 86;BA.debugLine="Label9.Text = Day(6)";
mostCurrent._label9.setText((Object)(_day[(int)(6)]));
 BA.debugLineNum = 87;BA.debugLine="Label10.Text = Day(0)";
mostCurrent._label10.setText((Object)(_day[(int)(0)]));
 }else {
 BA.debugLineNum = 89;BA.debugLine="Label4.Text = Day(0)";
mostCurrent._label4.setText((Object)(_day[(int)(0)]));
 BA.debugLineNum = 90;BA.debugLine="Label5.Text = Day(1)";
mostCurrent._label5.setText((Object)(_day[(int)(1)]));
 BA.debugLineNum = 91;BA.debugLine="Label6.Text = Day(2)";
mostCurrent._label6.setText((Object)(_day[(int)(2)]));
 BA.debugLineNum = 92;BA.debugLine="Label7.Text = Day(3)";
mostCurrent._label7.setText((Object)(_day[(int)(3)]));
 BA.debugLineNum = 93;BA.debugLine="Label8.Text = Day(4)";
mostCurrent._label8.setText((Object)(_day[(int)(4)]));
 BA.debugLineNum = 94;BA.debugLine="Label9.Text = Day(5)";
mostCurrent._label9.setText((Object)(_day[(int)(5)]));
 BA.debugLineNum = 95;BA.debugLine="Label10.Text = Day(6)";
mostCurrent._label10.setText((Object)(_day[(int)(6)]));
 };
 BA.debugLineNum = 97;BA.debugLine="label4.Width = -2";
mostCurrent._label4.setWidth((int)(-2));
 BA.debugLineNum = 98;BA.debugLine="label5.Width = -2";
mostCurrent._label5.setWidth((int)(-2));
 BA.debugLineNum = 99;BA.debugLine="label6.Width = -2";
mostCurrent._label6.setWidth((int)(-2));
 BA.debugLineNum = 100;BA.debugLine="label7.Width = -2";
mostCurrent._label7.setWidth((int)(-2));
 BA.debugLineNum = 101;BA.debugLine="label8.Width = -2";
mostCurrent._label8.setWidth((int)(-2));
 BA.debugLineNum = 102;BA.debugLine="label9.Width = -2";
mostCurrent._label9.setWidth((int)(-2));
 BA.debugLineNum = 103;BA.debugLine="label10.Width = -2";
mostCurrent._label10.setWidth((int)(-2));
 BA.debugLineNum = 104;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 BA.debugLineNum = 105;BA.debugLine="i = 10 * lv.Scale";
_i = (int)(10*_lv.Scale);
 BA.debugLineNum = 106;BA.debugLine="Label4.Left = i + (7 * lv.Scale)";
mostCurrent._label4.setLeft((int)(_i+(7*_lv.Scale)));
 BA.debugLineNum = 107;BA.debugLine="i = i + (40 * lv.Scale)";
_i = (int)(_i+(40*_lv.Scale));
 BA.debugLineNum = 108;BA.debugLine="Label5.Left = i + (7 * lv.Scale)";
mostCurrent._label5.setLeft((int)(_i+(7*_lv.Scale)));
 BA.debugLineNum = 109;BA.debugLine="i = i + (40 * lv.Scale)";
_i = (int)(_i+(40*_lv.Scale));
 BA.debugLineNum = 110;BA.debugLine="Label6.Left = i + (7 * lv.Scale)";
mostCurrent._label6.setLeft((int)(_i+(7*_lv.Scale)));
 BA.debugLineNum = 111;BA.debugLine="i = i + (40 * lv.Scale)";
_i = (int)(_i+(40*_lv.Scale));
 BA.debugLineNum = 112;BA.debugLine="Label7.Left = i + (7 * lv.Scale)";
mostCurrent._label7.setLeft((int)(_i+(7*_lv.Scale)));
 BA.debugLineNum = 113;BA.debugLine="i = i + (40 * lv.Scale)";
_i = (int)(_i+(40*_lv.Scale));
 BA.debugLineNum = 114;BA.debugLine="Label8.Left = i + (7 * lv.Scale)";
mostCurrent._label8.setLeft((int)(_i+(7*_lv.Scale)));
 BA.debugLineNum = 115;BA.debugLine="i = i + (40 * lv.Scale)";
_i = (int)(_i+(40*_lv.Scale));
 BA.debugLineNum = 116;BA.debugLine="Label9.Left = i + (7 * lv.Scale)";
mostCurrent._label9.setLeft((int)(_i+(7*_lv.Scale)));
 BA.debugLineNum = 117;BA.debugLine="i = i + (40 * lv.Scale)";
_i = (int)(_i+(40*_lv.Scale));
 BA.debugLineNum = 118;BA.debugLine="Label10.Left = i + (7 * lv.Scale)";
mostCurrent._label10.setLeft((int)(_i+(7*_lv.Scale)));
 BA.debugLineNum = 119;BA.debugLine="Cancel.Top = Panel1.Top + Panel1.Height + (15 * lv.Scale)";
mostCurrent._cancel.setTop((int)(mostCurrent._panel1.getTop()+mostCurrent._panel1.getHeight()+(15*_lv.Scale)));
 BA.debugLineNum = 120;BA.debugLine="CurrentMonth.Top = Panel1.Top + Panel1.Height + (15 * lv.Scale)";
mostCurrent._currentmonth.setTop((int)(mostCurrent._panel1.getTop()+mostCurrent._panel1.getHeight()+(15*_lv.Scale)));
 BA.debugLineNum = 121;BA.debugLine="Cancel.Left = (100%x / 2) - (Cancel.Width + CurrentMonth.Width + 15) / 2";
mostCurrent._cancel.setLeft((int)((anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA)/(double)2)-(mostCurrent._cancel.getWidth()+mostCurrent._currentmonth.getWidth()+15)/(double)2));
 BA.debugLineNum = 122;BA.debugLine="CurrentMonth.Left = Cancel.Left + Cancel.Width + 15";
mostCurrent._currentmonth.setLeft((int)(mostCurrent._cancel.getLeft()+mostCurrent._cancel.getWidth()+15));
 BA.debugLineNum = 123;BA.debugLine="CreateCalendar";
_createcalendar();
 BA.debugLineNum = 125;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 BA.debugLineNum = 131;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 BA.debugLineNum = 133;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 BA.debugLineNum = 127;BA.debugLine="Sub Activity_Resume";
 BA.debugLineNum = 129;BA.debugLine="End Sub";
return "";
}
public static String  _buttonpress_click() throws Exception{
anywheresoftware.b4a.objects.ButtonWrapper _b = null;
 BA.debugLineNum = 235;BA.debugLine="Sub ButtonPress_Click";
 BA.debugLineNum = 237;BA.debugLine="Dim b As Button";
_b = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 238;BA.debugLine="b = Sender";
_b.setObject((android.widget.Button)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 BA.debugLineNum = 239;BA.debugLine="DaySelected = b.Tag";
_dayselected = (long)(BA.ObjectToNumber(_b.getTag()));
 BA.debugLineNum = 240;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 BA.debugLineNum = 241;BA.debugLine="StartActivity(Main)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._main.getObject()));
 BA.debugLineNum = 242;BA.debugLine="End Sub";
return "";
}
public static String  _cancel_click() throws Exception{
 BA.debugLineNum = 263;BA.debugLine="Sub Cancel_Click";
 BA.debugLineNum = 265;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 BA.debugLineNum = 266;BA.debugLine="StartActivity(Main)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._main.getObject()));
 BA.debugLineNum = 267;BA.debugLine="End Sub";
return "";
}
public static String  _createcalendar() throws Exception{
int _i = 0;
int _offsetx = 0;
int _offsety = 0;
long _tempday = 0L;
long _startdate = 0L;
long _enddate = 0L;
long _bday = 0L;
long _today = 0L;
anywheresoftware.b4a.keywords.LayoutValues _lv = null;
anywheresoftware.b4a.objects.ButtonWrapper _bn = null;
 BA.debugLineNum = 135;BA.debugLine="Sub CreateCalendar";
 BA.debugLineNum = 136;BA.debugLine="Dim i As Int";
_i = 0;
 BA.debugLineNum = 137;BA.debugLine="Dim OffsetX As Int";
_offsetx = 0;
 BA.debugLineNum = 138;BA.debugLine="Dim OffsetY As Int";
_offsety = 0;
 BA.debugLineNum = 139;BA.debugLine="Dim TempDay As Long";
_tempday = 0L;
 BA.debugLineNum = 140;BA.debugLine="Dim StartDate As Long";
_startdate = 0L;
 BA.debugLineNum = 141;BA.debugLine="Dim EndDate As Long";
_enddate = 0L;
 BA.debugLineNum = 142;BA.debugLine="Dim bDay As Long";
_bday = 0L;
 BA.debugLineNum = 143;BA.debugLine="Dim Today As Long";
_today = 0L;
 BA.debugLineNum = 144;BA.debugLine="Dim lv As LayoutValues";
_lv = new anywheresoftware.b4a.keywords.LayoutValues();
 BA.debugLineNum = 145;BA.debugLine="lv = GetDeviceLayoutValues";
_lv = anywheresoftware.b4a.keywords.Common.GetDeviceLayoutValues(mostCurrent.activityBA);
 BA.debugLineNum = 147;BA.debugLine="Today = DateTime.Now";
_today = anywheresoftware.b4a.keywords.Common.DateTime.getNow();
 BA.debugLineNum = 148;BA.debugLine="DateTime.DateFormat=\"ddMMyyyy\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("ddMMyyyy");
 BA.debugLineNum = 150;BA.debugLine="FirstDayOfMonth = DateTime.DateParse(\"01\" & DateTime.Date(TimeValue).SubString(2))";
_firstdayofmonth = anywheresoftware.b4a.keywords.Common.DateTime.DateParse("01"+anywheresoftware.b4a.keywords.Common.DateTime.Date(_timevalue).substring((int)(2)));
 BA.debugLineNum = 152;BA.debugLine="TempDay = DateTime.Add(TimeValue,0,1,0)";
_tempday = anywheresoftware.b4a.keywords.Common.DateTime.Add(_timevalue,(int)(0),(int)(1),(int)(0));
 BA.debugLineNum = 153;BA.debugLine="TempDay = DateTime.DateParse(\"01\" & DateTime.Date(TempDay).SubString(2))";
_tempday = anywheresoftware.b4a.keywords.Common.DateTime.DateParse("01"+anywheresoftware.b4a.keywords.Common.DateTime.Date(_tempday).substring((int)(2)));
 BA.debugLineNum = 154;BA.debugLine="LastDayOfMonth = DateTime.Add(TempDay,0,0,-1)";
_lastdayofmonth = anywheresoftware.b4a.keywords.Common.DateTime.Add(_tempday,(int)(0),(int)(0),(int)(-1));
 BA.debugLineNum = 157;BA.debugLine="Label1.Text = Month(DateTime.GetMonth(TimeValue) - 1) & \"  \" & DateTime.GetYear(TimeValue)";
mostCurrent._label1.setText((Object)(_month[(int)(anywheresoftware.b4a.keywords.Common.DateTime.GetMonth(_timevalue)-1)]+"  "+BA.NumberToString(anywheresoftware.b4a.keywords.Common.DateTime.GetYear(_timevalue))));
 BA.debugLineNum = 158;BA.debugLine="OffsetX = 10 * lv.Scale";
_offsetx = (int)(10*_lv.Scale);
 BA.debugLineNum = 159;BA.debugLine="OffsetY = 70 * lv.Scale";
_offsety = (int)(70*_lv.Scale);
 BA.debugLineNum = 162;BA.debugLine="If FirstDayOfWeek = 1 Then";
if (_firstdayofweek==(int)(1)) { 
 BA.debugLineNum = 163;BA.debugLine="If (DateTime.GetDayOfWeek(FirstDayOfMonth) - 1) = 0 Then";
if ((anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_firstdayofmonth)-1)==0) { 
 BA.debugLineNum = 164;BA.debugLine="StartDate = DateTime.Add(FirstDayOfMonth,0,0,-6)";
_startdate = anywheresoftware.b4a.keywords.Common.DateTime.Add(_firstdayofmonth,(int)(0),(int)(0),(int)(-6));
 }else {
 BA.debugLineNum = 166;BA.debugLine="StartDate = DateTime.Add(FirstDayOfMonth,0,0, 0-(DateTime.GetDayOfWeek(FirstDayOfMonth) - 2))";
_startdate = anywheresoftware.b4a.keywords.Common.DateTime.Add(_firstdayofmonth,(int)(0),(int)(0),(int)(0-(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_firstdayofmonth)-2)));
 };
 }else {
 BA.debugLineNum = 169;BA.debugLine="StartDate = DateTime.Add(FirstDayOfMonth,0,0, 0-(DateTime.GetDayOfWeek(FirstDayOfMonth) - 1))";
_startdate = anywheresoftware.b4a.keywords.Common.DateTime.Add(_firstdayofmonth,(int)(0),(int)(0),(int)(0-(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_firstdayofmonth)-1)));
 };
 BA.debugLineNum = 172;BA.debugLine="bDay = StartDate";
_bday = _startdate;
 BA.debugLineNum = 175;BA.debugLine="If FirstDayOfWeek = 1 Then";
if (_firstdayofweek==(int)(1)) { 
 BA.debugLineNum = 176;BA.debugLine="If (DateTime.GetDayOfWeek(LastDayOfMonth) - 1) = 0 Then";
if ((anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_lastdayofmonth)-1)==0) { 
 BA.debugLineNum = 177;BA.debugLine="EndDate = LastDayOfMonth";
_enddate = _lastdayofmonth;
 }else {
 BA.debugLineNum = 179;BA.debugLine="EndDate = DateTime.Add(LastDayOfMonth,0,0, 8 - DateTime.GetDayOfWeek(LastDayOfMonth))";
_enddate = anywheresoftware.b4a.keywords.Common.DateTime.Add(_lastdayofmonth,(int)(0),(int)(0),(int)(8-anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_lastdayofmonth)));
 };
 }else {
 BA.debugLineNum = 182;BA.debugLine="EndDate = DateTime.Add(LastDayOfMonth,0,0, 7 - DateTime.GetDayOfWeek(LastDayOfMonth))";
_enddate = anywheresoftware.b4a.keywords.Common.DateTime.Add(_lastdayofmonth,(int)(0),(int)(0),(int)(7-anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_lastdayofmonth)));
 };
 BA.debugLineNum = 189;BA.debugLine="For i = 1 To 42";
{
final double step146 = 1;
final double limit146 = (int)(42);
for (_i = (int)(1); (step146 > 0 && _i <= limit146) || (step146 < 0 && _i >= limit146); _i += step146) {
 BA.debugLineNum = 190;BA.debugLine="If bDay <= EndDate Then";
if (_bday<=_enddate) { 
 BA.debugLineNum = 191;BA.debugLine="Dim bn As Button";
_bn = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 192;BA.debugLine="bn.Initialize(\"ButtonPress\")";
_bn.Initialize(mostCurrent.activityBA,"ButtonPress");
 BA.debugLineNum = 193;BA.debugLine="bn.Text = DateTime.GetDayOfMonth(bDay)";
_bn.setText((Object)(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfMonth(_bday)));
 BA.debugLineNum = 194;BA.debugLine="If DateTime.GetMonth(bDay) <> DateTime.GetMonth(TimeValue) Then";
if (anywheresoftware.b4a.keywords.Common.DateTime.GetMonth(_bday)!=anywheresoftware.b4a.keywords.Common.DateTime.GetMonth(_timevalue)) { 
 BA.debugLineNum = 195;BA.debugLine="bn.Enabled = False";
_bn.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 196;BA.debugLine="bn.Tag = 0";
_bn.setTag((Object)(0));
 }else {
 BA.debugLineNum = 198;BA.debugLine="bn.Enabled = True";
_bn.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 199;BA.debugLine="bn.Tag = bDay";
_bn.setTag((Object)(_bday));
 };
 BA.debugLineNum = 201;BA.debugLine="If DateTime.Date(bDay) = DateTime.Date(Today)  Then";
if ((anywheresoftware.b4a.keywords.Common.DateTime.Date(_bday)).equals(anywheresoftware.b4a.keywords.Common.DateTime.Date(_today))) { 
 BA.debugLineNum = 202;BA.debugLine="bn.TextColor = Colors.Red";
_bn.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
 BA.debugLineNum = 203;BA.debugLine="bn.Typeface = Typeface.DEFAULT_BOLD";
_bn.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 };
 BA.debugLineNum = 206;BA.debugLine="Panel1.AddView(bn, OffsetX, OffsetY, 40 * lv.Scale, 40 * lv.Scale)";
mostCurrent._panel1.AddView((android.view.View)(_bn.getObject()),_offsetx,_offsety,(int)(40*_lv.Scale),(int)(40*_lv.Scale));
 BA.debugLineNum = 207;BA.debugLine="OffsetX = OffsetX + (40 * lv.Scale)";
_offsetx = (int)(_offsetx+(40*_lv.Scale));
 BA.debugLineNum = 208;BA.debugLine="If OffsetX > (250 * lv.Scale) Then";
if (_offsetx>(int)((250*_lv.Scale))) { 
 BA.debugLineNum = 209;BA.debugLine="OffsetX = 10 * lv.Scale";
_offsetx = (int)(10*_lv.Scale);
 BA.debugLineNum = 210;BA.debugLine="OffsetY = OffsetY + (40 * lv.Scale)";
_offsety = (int)(_offsety+(40*_lv.Scale));
 };
 BA.debugLineNum = 212;BA.debugLine="bDay = DateTime.Add(bDay,0,0,1)";
_bday = anywheresoftware.b4a.keywords.Common.DateTime.Add(_bday,(int)(0),(int)(0),(int)(1));
 };
 }
};
 BA.debugLineNum = 216;BA.debugLine="End Sub";
return "";
}
public static String  _currentmonth_click() throws Exception{
 BA.debugLineNum = 257;BA.debugLine="Sub CurrentMonth_Click";
 BA.debugLineNum = 259;BA.debugLine="RemovePanelViews";
_removepanelviews();
 BA.debugLineNum = 260;BA.debugLine="TimeValue = DateTime.Now";
_timevalue = anywheresoftware.b4a.keywords.Common.DateTime.getNow();
 BA.debugLineNum = 261;BA.debugLine="CreateCalendar";
_createcalendar();
 BA.debugLineNum = 262;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {}
public static String  _globals() throws Exception{
 BA.debugLineNum = 23;BA.debugLine="Sub Globals";
 BA.debugLineNum = 26;BA.debugLine="Dim Panel1 As Panel";
mostCurrent._panel1 = new anywheresoftware.b4a.objects.PanelWrapper();
 BA.debugLineNum = 27;BA.debugLine="Dim Label1 As Label";
mostCurrent._label1 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 28;BA.debugLine="Dim Label4 As Label";
mostCurrent._label4 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 29;BA.debugLine="Dim Label5 As Label";
mostCurrent._label5 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 30;BA.debugLine="Dim Label6 As Label";
mostCurrent._label6 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 31;BA.debugLine="Dim Label7 As Label";
mostCurrent._label7 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 32;BA.debugLine="Dim Label8 As Label";
mostCurrent._label8 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 33;BA.debugLine="Dim Label9 As Label";
mostCurrent._label9 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 34;BA.debugLine="Dim Label10 As Label";
mostCurrent._label10 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 35;BA.debugLine="Dim Label2 As Label";
mostCurrent._label2 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 36;BA.debugLine="Dim NextMonth As Button";
mostCurrent._nextmonth = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 37;BA.debugLine="Dim PrevMonth As Button";
mostCurrent._prevmonth = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 38;BA.debugLine="Dim Cancel As Button";
mostCurrent._cancel = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 39;BA.debugLine="Dim CurrentMonth As Button";
mostCurrent._currentmonth = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 40;BA.debugLine="End Sub";
return "";
}
public static String  _nextmonth_click() throws Exception{
 BA.debugLineNum = 251;BA.debugLine="Sub NextMonth_Click";
 BA.debugLineNum = 253;BA.debugLine="RemovePanelViews";
_removepanelviews();
 BA.debugLineNum = 254;BA.debugLine="TimeValue = DateTime.Add(FirstDayOfMonth,0,1,0)";
_timevalue = anywheresoftware.b4a.keywords.Common.DateTime.Add(_firstdayofmonth,(int)(0),(int)(1),(int)(0));
 BA.debugLineNum = 255;BA.debugLine="CreateCalendar";
_createcalendar();
 BA.debugLineNum = 256;BA.debugLine="End Sub";
return "";
}
public static String  _prevmonth_click() throws Exception{
 BA.debugLineNum = 244;BA.debugLine="Sub PrevMonth_Click";
 BA.debugLineNum = 246;BA.debugLine="RemovePanelViews";
_removepanelviews();
 BA.debugLineNum = 247;BA.debugLine="TimeValue = DateTime.Add(FirstDayOfMonth,0,-1,0)";
_timevalue = anywheresoftware.b4a.keywords.Common.DateTime.Add(_firstdayofmonth,(int)(0),(int)(-1),(int)(0));
 BA.debugLineNum = 248;BA.debugLine="CreateCalendar";
_createcalendar();
 BA.debugLineNum = 249;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 BA.debugLineNum = 2;BA.debugLine="Sub Process_Globals";
 BA.debugLineNum = 10;BA.debugLine="Dim TimeValue As Long";
_timevalue = 0L;
 BA.debugLineNum = 12;BA.debugLine="Dim FirstDayOfMonth As Long";
_firstdayofmonth = 0L;
 BA.debugLineNum = 13;BA.debugLine="Dim LastDayOfMonth As Long";
_lastdayofmonth = 0L;
 BA.debugLineNum = 14;BA.debugLine="Dim Day(7) As String";
_day = new String[(int)(7)];
java.util.Arrays.fill(_day,"");
 BA.debugLineNum = 15;BA.debugLine="Dim Month(12) As String";
_month = new String[(int)(12)];
java.util.Arrays.fill(_month,"");
 BA.debugLineNum = 16;BA.debugLine="Dim DaySelected As Long 'Return value to the calling Activity";
_dayselected = 0L;
 BA.debugLineNum = 17;BA.debugLine="Dim FirstDayOfWeek As Int";
_firstdayofweek = 0;
 BA.debugLineNum = 19;BA.debugLine="DaySelected = 0";
_dayselected = (long)(0);
 BA.debugLineNum = 21;BA.debugLine="End Sub";
return "";
}
public static String  _removepanelviews() throws Exception{
int _i = 0;
anywheresoftware.b4a.objects.ConcreteViewWrapper _v = null;
long _ii = 0L;
 BA.debugLineNum = 218;BA.debugLine="Sub RemovePanelViews";
 BA.debugLineNum = 219;BA.debugLine="Dim i As Int";
_i = 0;
 BA.debugLineNum = 220;BA.debugLine="Dim v As View";
_v = new anywheresoftware.b4a.objects.ConcreteViewWrapper();
 BA.debugLineNum = 221;BA.debugLine="Dim ii As Long";
_ii = 0L;
 BA.debugLineNum = 223;BA.debugLine="For i=Panel1.NumberOfViews-1 To 0 Step -1";
{
final double step176 = -1;
final double limit176 = (int)(0);
for (_i = (int)(mostCurrent._panel1.getNumberOfViews()-1); (step176 > 0 && _i <= limit176) || (step176 < 0 && _i >= limit176); _i += step176) {
 BA.debugLineNum = 224;BA.debugLine="v = Panel1.GetView(i)";
_v = mostCurrent._panel1.GetView(_i);
 BA.debugLineNum = 225;BA.debugLine="Try";
try { BA.debugLineNum = 226;BA.debugLine="ii = v.Tag";
_ii = (long)(BA.ObjectToNumber(_v.getTag()));
 BA.debugLineNum = 227;BA.debugLine="If ii >= 0 Then";
if (_ii>=(long)(0)) { 
 BA.debugLineNum = 228;BA.debugLine="Panel1.RemoveViewAt(i)";
mostCurrent._panel1.RemoveViewAt(_i);
 };
 } 
       catch (Exception e) {
			processBA.setLastException(e); };
 }
};
 BA.debugLineNum = 233;BA.debugLine="End Sub";
return "";
}
}
